#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  libei-1.3.0

- Next

  libgedit-gtksourceview-299.4.0

- Up
- Home

# libgedit-amtk-5.9.0

## Introduction to libgedit-amtk

The libgedit-amtk package contains a basic GTKUIManager replacement based on GAction.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://gitlab.gnome.org/World/gedit/libgedit-amtk/-/archive/5.9.0/libgedit-amtk-5.9.0.tar.bz2

- Download MD5 sum: 8eaca94c4808fb00e6057ebf731f4daa

- Download size: 60 KB

- Estimated disk space required: 2.4 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### libgedit-amtk Dependencies

#### Required

GTK-3.24.48

#### Optional

GTK-Doc-1.34.0 (for documentation) and Valgrind-3.24.0

## Installation of libgedit-amtk

Install libgedit-amtk by running the following commands:

    mkdir amtk-build &&
    cd    amtk-build &&

    meson setup ..              \
          --prefix=/usr         \
          --buildtype=release   \
          -D gtk_doc=false      &&
    ninja

To test the results, issue: ninja test. One test, test-action-map, is known to fail.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D gtk_doc=false`: This switch prevents the build system from generating and installing the API documentation. Omit this switch if you have GTK-Doc-1.34.0 installed and wish to generate and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libgedit-amtk-5.so
Installed Directories: /usr/include/libgedit-amtk-5 and /usr/share/gtk-doc/html/libgedit-amtk-5.0

### Short Descriptions

`libgedit-amtk-5.so` | provides a basic GTKUIManager replacement API based on GAction

- Prev

  libei-1.3.0

- Next

  libgedit-gtksourceview-299.4.0

- Up
- Home